#include "Fonctions.h"

int RechercheAdherent(int tNoCarte[], int nbElem, int noCarte, int *trouve)
{
    int i;
    for (i = 0; i < nbElem; i++)
    {
        if (tNoCarte[i] == noCarte)
        {
            *trouve = 1;
            return i;
        }
        else if (tNoCarte[i] > noCarte)
        {
            *trouve = 0;
            return i + 1;
        }
    }
}

void AjoutPoints(int tNoCarte[], int tPointsCarte[], int tCarteActive[], int nbElem, int noCarte)
{
    int pointsCarte, trouve, pas;
    pas = RechercheAdherent(tNoCarte, nbElem, noCarte, &trouve);
    if (trouve == 1)
    {
        printf("Entrez le nombre de points à ajouter : ");
        scanf("%d", &pointsCarte);
        if (pointsCarte > 0 && pointsCarte <= 20)
        {
            tPointsCarte[pas] = tPointsCarte[pas] + pointsCarte;
            tCarteActive[pas] = 1;
            printf("La carte est active.\n");
        }
        else if (pointsCarte > 20 && pointsCarte <= 50)
        {
            tPointsCarte[pas] = tPointsCarte[pas] + pointsCarte * (1 + (5 / 100.0));
            tCarteActive[pas] = 1;
            printf("Merci pour votre achat. Nous vous offrons 5%% supplémentaires.\nDe plus, votre carte est active.\n");
        }
        else if (pointsCarte > 50 && pointsCarte <= 100)
        {
            tPointsCarte[pas] = tPointsCarte[pas] + pointsCarte * (1 + (10 / 100.0));
            tCarteActive[pas] = 1;
            printf("Merci pour votre achat. Nous vous offrons 10%% supplémentaires.\nDe plus, votre carte est active.\n");
        }
        else if (pointsCarte > 100)
        {
            tPointsCarte[pas] = tPointsCarte[pas] + pointsCarte * (1 + (15 / 100.0));
            tCarteActive[pas] = 1;
            printf("Merci pour votre achat. Nous vous offrons 15%% supplémentaires.\nDe plus, votre carte est active.\n");
        }
        else
        {
            printf("Le nombre de points est incorrect.\n");
            printf("Veuillez ressaisir le nombre de points à ajouter : ");
            scanf("%d", &pointsCarte);
        }
    }
    else
    {
        printf("Ce numéro d'adhérent n'existe pas. Veuillez réessayer.\n");
        return;
    }
}

void DebitActivitee(int tNoCarte[], int tCarteActive[], int tNbActivitesJour[], int nbElem)
{
    int noCarte, trouve, pas, pointsCarte;
    char reponse;
    printf("Entrez le numéro de la carte de l'adhérent recherché : ");
    scanf("%d", &noCarte);
    pas = RechercheAdherent(tNoCarte, nbElem, noCarte, &trouve);
    if (trouve == 1)
    {
        if (tCarteActive[pas] == 1)
        {
            printf("Voulez-vous désactiver cette carte ? (o/n)\n");
            scanf("%*c%c", &reponse);
            if (reponse == 'O' || reponse == 'o')
            {
                tCarteActive[pas] = 0;
                printf("La carte est desactivée.\n");
            }
            else
            {
                printf("La carte est toujours active.\n");
            }
        }
        else
        {
            printf("La carte est desactivée. Voulez-vous la réactiver ? (o/n)\n");
            scanf("%*c%c", &reponse);
            if (reponse == 'O' || reponse == 'o')
            {
                tCarteActive[pas] = 1;
                printf("La carte est activée.\n");
            }
            else
            {
                printf("La carte est toujours desactivée.\n");
            }
        }
    }
    else
    {
        printf("Ce numéro d'adhérent n'existe pas. Veuillez réessayer.\n");
        return;
    }
}